package com.logicbig.example;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class SequenceGeneratorExample1 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test1");
        EntityManager em = emf.createEntityManager();

        Util.nativeQuery(em, "SELECT * FROM INFORMATION_SCHEMA.SEQUENCES");

        MyEntity1 entity1 = new MyEntity1();
        MyEntity1 entity2 = new MyEntity1();
        em.getTransaction().begin();
        em.persist(entity1);
        em.persist(entity2);
        em.getTransaction().commit();

        Util.nativeQuery(em, "SELECT * FROM MyEntity1");

        em.close();
        emf.close();
    }
}