package com.logicbig.example;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class SequenceGeneratorExample2 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test2");
        EntityManager em = emf.createEntityManager();

        Util.nativeQuery(em, "SELECT * FROM INFORMATION_SCHEMA.SEQUENCES");

        MyEntity2 entity1 = new MyEntity2();
        MyEntity2 entity2 = new MyEntity2();
        em.getTransaction().begin();
        em.persist(entity1);
        em.persist(entity2);
        em.getTransaction().commit();

        Util.nativeQuery(em, "SELECT * FROM MyEntity2");

        em.close();
        emf.close();
    }
}